<div class="card" *ngIf="isReady">
  <div class="card-header noHover container-fluid" id="headingOne">
      <div class="row">
        <div class="col-md-6"><h4>{{team.name}}</h4></div>
        <div class="col-md-2"><h4>Score: {{team.score}}</h4></div>
        <div class="col-md-2"></div>

      </div> 
  </div>
</div>

<form>
    <div class="card-body" id="accordion">
      
      <div class="card" *ngFor="let qround of rounds">
        <div class="card-header" id="headingOne" >
            <span class="d-inline">
              <h5 class="mb-0 d-inline">
                  Quiz Runde: "{{qround.round.title}}"
                </h5>
                <button class="btn btn-link d-inline" data-toggle="collapse" [attr.data-target]="'#collapse'+ qround.round.id" aria-expanded="true" aria-controls="collapseOne">
                   <i class="fa fa-arrow-down"></i>
                </button>
                <button class="btn btn-link d-inline" [routerLink]="['../../check-answers']">
                  <i class="fa fa-check-square"></i> Check Answers
            
                </button>
               <span class="badge badge-primary badge-pill">{{guessesInRound(qround.round).length}}</span>
            </span>
  
        </div>
  
    
        <div [attr.id]="'collapse'+ qround.round.id" [class.collapse]="!qround.isClosed" [class.show]="qround.isClosed" aria-labelledby="headingOne" data-parent="#accordion">
          <div class="card-body">
            
              <div class="container-fluid">
                  <div  class="row" *ngFor="let guess of guessesInRound(qround.round)" [class.correct]="guess.isCorrect" [class.incorrect]="guess.isCorrect != null && !guess.isCorrect">
                      <div class="col-md-4 "> {{guess.question.content}}</div>
                      <div class="col-md-2"> Answer: <h6>{{guess.question.answer}}</h6></div>
                      <div class="col-md-2"> Guess<h6>{{guess.content}}</h6> </div> 
                      
                      <div class="col-md-4 d-inline">
                        <div class="form-check form-check-inline col-md-2">
                          <label class="form-check-label" [attr.for]="'checkbox-'+ guess.id">
                              Correct  
                          </label>
                          <input class="form-check-input" type="checkbox" (click)="toggleCorrect($event, guess)"
                            [attr.id]="'checkbox-'+ guess.id"
                            [checked]="guess.isCorrect">
                            
                        </div>
                        

                      </div>
                      
                      
                  </div>
              </div>  
  
          </div>
        </div>
      </div>
      
    </div>
  
  </form>
  
